<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Profile</title>
</head>
<body>
<h1>Hello <span id="username">{Jesse}</span></h1>
<div>
    <form id="edit" action="" method="post" role="form" onsubmit="return false">
<!--        <label class="form-control-label" for="nickname">Nickname</label>-->
        nickname: <input type="text" id="input-nickname" class="form-control form-control-alternative" placeholder="Nickname" value="">
        <div>
            <img id="ProfilePicture" src="https://img2.baidu.com/it/u=1713796643,4188877777&amp;fm=253&amp;fmt=auto&amp;app=138&amp;f=JPEG?w=889&amp;h=500"
                 height="50" width="60">
            <input type="text" id="input-ProfilePictureUrl" placeholder="edit profile picture url">
        </div>
        <div>
            <button type="submit">submit</button>
        </div>
    </form>
</div>


<div>
    <form id="logout" action="" method="post" role="form" onsubmit="return false">
        <button type="submit">logout</button>
    </form>
</div>


<!-- jQuery (Bootstrap 的所有 JavaScript 插件都依赖 jQuery，所以必须放在前边) -->
<script src="https://cdn.jsdelivr.net/npm/jquery@1.12.4/dist/jquery.min.js"></script>

<script>
    function getUserData() {
        $.ajax({
            url: '/req/data',
            type: 'get',
            async: true,
            headers: {},
            data: {},
            timeout: 50000,
            dataType: 'json',
            success: function (data, textStatus, jqXHR) {
                if (data.errMsg == "") {
                    $("span#username").text(data.data.Username)         //将id为username的span中的文本{Jesse}变成data.username
                    $("input#input-nickname").val(data.data.Nickname)         //将id为nickname中的文本变为data.nickname
                    $("img#ProfilePicture").attr("src", data.data.ProfilePictureUrl)   //将id为profile-picture中的src链接变为data.ProfilePictureUrl
                } else {
                    alert(data.errMsg)
                }
            },
            error: function (xhr, textStatus) {
                console.log("用户data错误")
            },
            complete: function () {
                console.log("读用户data结束")
            }

        })
    }

    $(function () {
        getUserData()
        $("form#edit").on("submit", function () {
            let nickname = $("input#input-nickname").val()
            let profilePictureUrl = $("input#input-ProfilePictureUrl").val()
            $.ajax({
                url: '/req/update',
                type: 'post',
                async: true,
                data: {
                    nickname: nickname,
                    profilePictureUrl: profilePictureUrl,
                },
                timeout: 50000,
                dataType: 'json',
                success: function (data, textStatus, jqXHR, msg) {
                    if (data.errMsg == ""){
                        getUserData()
                    } else {
                        alert(data.errMsg)
                    }
                },
                error: function (xhr, textStatus, msg) {
                    console.log('profile error')
                    alert(msg)
                },
                complete: function (){
                    console.log('profile complete')
                }
            })
        });

        $("form#logout").on("submit", function () {
            $.ajax({
                url: '/logout',
                type: 'post',
                async: true,
                headers: {},
                data: {},
                timeout: 50000,
                dataType: 'json',
                success: function (data, textStatus, jqXHR) {
                    if (data.errMsg == ""){
                        location.href='/login'
                    } else {
                        alert(data.errMsg)
                    }
                },
                error: function (xhr, textStatus) {
                    console.log('logout错误')
                },
                complete: function () {
                    console.log('logout结束')
                }
            })
        });

    });
</script>
</body>
</html>